Skip to main content
Model Optimization/Dataset APIs
PUTDataset APIsSince 5.3.6SynchronousAuth Required

UpdateDatasets

UpdateDatasets

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • updateDatasetStructsListRequired

    The dataset update structure.

  • systemTagsList

    The system tags.

  • userTagsList

    The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the update API call succeeds.

  • errorErrorCodeRequired

    The error code. If it is not null, the operation fails. If the operation succeeds, this field is null. For details, see error

    • codeStringRequired

      The error code number, which is the globally unique identifier of the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      The summary description of the error.

    • detailsStringRequired

      The error details.

    • elaborationStringRequired

      Reserved field. Default: null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default: null.

    • causeErrorCodeRequired

      The root error that causes the current error. If no source error exists, this field is null.

  • resultsListRequired

    The update result.

Endpoint

PUT/zstack/v1/ai/datasets

/zstack/v1/ai/datasets

Operation ID

UpdateDatasets

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/ai/datasets' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateDatasetStructs":["<updateDatasetStructs>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "results": [ { "success": true } ] }

Change History

This API has no change history records yet.

View all change history